Page MenuHomePhabricator

VisualEditor: When using jquery.IME, type a word and press space bar = eliminates typed text immediately
Closed, ResolvedPublic8 Estimated Story Points

Description

*VisualEditor+ULS Method of input = अक्षरांतरण language=Marathi Script=Devanagari (Non-VE source edit environ,ULS Method of input = अक्षरांतरण works normal

*Tested Browser and OS =Firefox+Win7

*Problem description = No other text on a page> Type a word + space bar = eliminates typed text imidiately

**additional details = If some text is already there on the page or we copy paste then we can give the space bar with less frequency of this problem.

*Screen shot or Difference of edit if available = Can not create the screen shot/or edit diff

Thanks and Regards


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49569
https://bugzilla.wikimedia.org/show_bug.cgi?id=53706

Details

Reference
bz53700

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:46 AM
bzimport set Reference to bz53700.
Mahitgar created this task.Sep 3 2013, 11:23 AM

[Not a blocker, see http://www.mediawiki.org/wiki/Bugzilla/Fields#Severity ]

Confirming for Firefox 23.0.1 and Fedora 19.

Steps to reproduce:

  1. Go to non existing page like https://mr.wikipedia.org/w/index.php?title=%E0%A4%85%E0%A4%AB%E0%A4%97%E0%A4%BE
  2. make sure to be logged in
  3. Go to माझ्या पसंती (Preferences), संपादन and enable last option: यथादृश्यसंपादक कार्यान्वित करा (केवळ मुख्य(लेख) आणि सदस्य नामविश्वात) - this enables VisualEditor
  4. Click cog next to इतर भाषांमध्ये
  5. Under क्षेपन (टायपींग ईनपुट) make sure to choose अक्षरांतरण
  6. Click तयार करा (Create page)
  7. Make sure that URL ends with &veaction=edit
  8. Type a word and press spacebar.

Possible duplicate: Bug 53705

There's code to address this bug in the following patch, which is due to go live by mediawiki.org on 13 September 2013:

https://gerrit.wikimedia.org/r/#/c/82858/

Please let us know whether it fixes the bug!

Hello,

This is 14th Sept 18.52 pm Indian standard time. I tested on mr wiki couple of pages and tested on en wiki my own user space . To me problem is as is and not resolved.

Thanks and best wished for your continued effort

Rgds

(In reply to comment #4)

Hello, gave one more try during a live edit correction, result no success.

*On mr wikipedia page was https://mr.wikipedia.org/wiki/नारायण_श्रीपाद_राजहंस

*During the last edit diff https://mr.wikipedia.org/w/index.php?title=नारायण_श्रीपाद_राजहंस&diff=1198688&oldid=1184350 one new user has removed section heading to word जीवन

*I took corrective editing target to type Marathi word व्यक्तीगत (by using VE+ULS method ) before word जीवन so it will be a two word section heading ==व्यक्तीगत जीवन==

  • Sentence to be edited जीवन नारायण श्रीपाद राजहंस यांचा जन्म जून २६, इ.स. १८८८ रोजी जिल्ह्यातील पलुस तालुक्यात नागठाणे या गावी झाला.

Steps tried

*Visit Marathi language wikipedia
*Enable visual editor from preferences [[Special:Preferences#mw-prefsection-editing]]

  • Clicked संपादन that is edit (Visual Editor's)
  • Sentence appeared जीवन ↵नारायण श्रीपाद राजहंस यांचा जन्म जून २६, इ.स. १८८८ रोजी जिल्ह्यातील पलुस तालुक्यात नागठाणे या गावी झाला.
  • Display language Marathi For Input method selected ULS> 1)अक्षरांतरण (transliteration)

*Clicked Enter after word जीवन since rest of line needs to be in paragraph portion

*Took cursor before word जीवन

  • To transliterate Typed keys from key board 'vyaktigata >> अक्षरांतरण transliteration transliterated to>> व्यक्तिगत transliteration was success.
  • Then 'Pressed space bar' the result was word 'व्यक्तिगत' disappeared.
  • Repeated above with different ULS input method ULS> 2) इनस्क्रिप्ट (Inscript)
  • To transliterate typed keys bd/kdlfil transliterated to>> व्यक्तिगत transliteration was success.
  • Then 'Pressed space bar' the result was word 'व्यक्तिगत' disappeared.

Windows 7 + tried two browsers Firefox (version mentioned earlier) and Google Chrome (is up to date Version 29.0.1547.66 m) The results were failure.

(VE+windows native Input method इनस्क्रिप्ट 'in script' worked successfully to type word व्यक्तिगत + space bar was success.)

We still wait and look forward to VE +ULS success. Best wishes for the same

Rgds

(In reply to comment #4)

I tested on mr wiki

As comment 3 said, it's available on *mediawiki.org*, not mr wiki (yet). mediawiki.org is where to test it.

(In reply to comment #6)

(In reply to comment #4)

I tested on mr wiki

As comment 3 said, it's available on *mediawiki.org*, not mr wiki (yet).
mediawiki.org is where to test it.

Confirming this is not fixed.

System environment:
Win 7 X64 SP1
Google Chrome 29.0.1547.66 m

Test URL:
https://www.mediawiki.org/wiki/User:Siddhartha_Ghai?veaction=edit

Steps to reproduce:
Enable ULS IME mr transliteration (labelled अक्षरांतरण)
Blank the page (and reset formatting to simple paragraph, i.e remove bulleted list formatting)

Input 1:
agar[SPACE]

Output 1:
[SPACE]

Expected Output (as seen in the old editor):
अगर्[SPACE]

Input 2:
kyaa[SPACE]

Output 2:
[SPACE]

Expected Output (as seen in the old editor):
क्या[SPACE]

  • Bug 54960 has been marked as a duplicate of this bug. ***

Not just Marathi/Devanagari specific, apparently it's a general problem with jquery.IME in VE.

Jdforrester-WMF lowered the priority of this task from High to Medium.Jan 9 2015, 10:55 PM
Catrope assigned this task to dchan.Apr 3 2015, 5:30 PM
mxn added a subscriber: mxn.Jul 22 2015, 2:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 2:14 AM

As of https://gerrit.wikimedia.org/r/#/c/264577/ in UniversalLanguageSelector this should now be resolved and working for all users, and will be part of the wmf.12 release starting tomorrow.